Summary: Reads and writes data across network connections using TCP or UDP.
Name: nc
Version: 1.10
Release: 1.0.1
Source0: ftp://ftp.avian.org/src/hacks/nc110.tgz
Source1: http://www.openbsd.org/src/usr.bin/nc/nc.1
Patch0: nc-arm.patch
Patch1: nc-1.10-halfclose.patch
Patch2: nc-proto.patch
Copyright: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root

%description
The nc package contains Netcat (the program is actually nc), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and
exploration tool, since it can create many different connections and
has many built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -c -n nc -q
%patch0 -p1
%patch1 -p1 -b .halfclose
%patch2 -p1 -b .proto
cp %{SOURCE1} .

%build
# XXX Make linux is supported, but it makes a static binary. 
make CFLAGS="$RPM_OPT_FLAGS" generic

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 nc ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 644 nc.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README Changelog scripts
%{_bindir}/nc
%{_mandir}/man1/nc.1*

%changelog
* Wed Apr 18 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Initial build for EnGarde.


* Fri Oct 20 2000 Bill Nottingham <notting@redhat.com>
- include reslov.h for res_init prototype

* Fri Aug 11 2000 Jeff Johnson <jbj@redhat.com>
- add shutdown to fix obscure half-close connection case (#9324).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- add man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- make it build on the arm

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
